Bug 8576 - [FR] add queue control patch for better imms
: [FR] add queue control patch for better imms
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xmms)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.luminal.org/wiki/index.php...
:
:
:
  Show dependency tree
 
Reported: 2005-11-30 10:10 by
Modified: 2007-01-06 10:36 (History)


Attachments
http://www.luminal.org/files/imms/xmms-queue-control.diff (4.82 KB, patch)
2005-11-30 10:11, Michael Shigorin
no flags Details | Diff
1.2.10-alt12 + queue control patch (26.24 KB, text/plain)
2006-12-17 23:05, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-30 10:10:34
just that (seems to be merged in xmms cvs)
------- Comment #2 From 2006-10-15 19:15:20 -------
(In reply to comment #1)
> Created an attachment (id=1269) [edit] [details]
> http://www.luminal.org/files/imms/xmms-queue-control.diff
> 

Миш, собери в следующий раз xmms (alt12) с этим патчем. Хотя я и вижу "seems to
be merged in xmms cvs", но то ли этого cvs у нас ещё нет, то ли меня глючит.
Последовательно пересобираю xmms уже третий раз (M24,C30,Sisyphus). Ни одна
вроде хуже не сделала.

Помалкивал, т.к. видел этот баг и думал что в Сизифе починено. Переехав на Сизиф
совсем не сразу понял, что меня напрягает в xmms.
------- Comment #3 From 2006-12-17 23:03:34 -------
Всё не так просто, мы уже с чем-то подрались:

Patch #95 (xmms-queue-control.diff):
+ /usr/bin/patch -p1
patching file libxmms/xmmsctrl.c
patching file libxmms/xmmsctrl.h
patching file xmms/controlsocket.c
patching file xmms/controlsocket.h
patching file xmms/playlist.c
Hunk #1 succeeded at 103 (offset 3 lines).
Hunk #2 succeeded at 790 (offset 15 lines).
Hunk #3 succeeded at 854 (offset 15 lines).
Hunk #4 succeeded at 943 (offset 15 lines).
patching file xmms/playlist.h
Hunk #1 FAILED at 22.
Hunk #2 succeeded at 49 (offset 1 line).
1 out of 2 hunks FAILED -- saving rejects to file xmms/playlist.h.rej

С учётом того, сколько у нас патчей -- этого и ожидал.

Если хочешь, можешь попробовать посмотреть и починить -- alt12 заливаю без этого
патча, поскольку есть готовый пакет и он исправляет две баги, одна из которых --
потенциальная дырка (#10258).
------- Comment #4 From 2006-12-17 23:05:41 -------
Created an attachment (id=1721) [details]
1.2.10-alt12 + queue control patch

Прилагаю получившийся спек.
------- Comment #5 From 2007-01-06 10:35:41 -------
Seems to be fixed in 1.2.10-alt12.